public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/future/
Date: Mon, 11 Feb 2019 00:41:11 +0000 (UTC)	[thread overview]
Message-ID: <1549845661.03c417b62659132ccf6bf5be8aef050308d12269.mattst88@gentoo> (raw)

commit:     03c417b62659132ccf6bf5be8aef050308d12269
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 11 00:39:51 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Feb 11 00:41:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03c417b6

dev-python/future: Version bump to 0.17.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/future/Manifest             |  1 +
 dev-python/future/future-0.17.0.ebuild | 48 ++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/future/Manifest b/dev-python/future/Manifest
index c6f9ebb99b5..0bcf5ff7b5a 100644
--- a/dev-python/future/Manifest
+++ b/dev-python/future/Manifest
@@ -1,2 +1,3 @@
 DIST future-0.15.2.tar.gz 1583441 BLAKE2B 9c552a5f3598922f8910480d054015020112aae4f7e14d2c139dda13a0b26e878b75eaf5068d66f20823ac4659d85edd4087a95d9474dc27bf15767cf6e9d921 SHA512 24a0eaf70795efe1644b098c5abbcb0103d9172a5243721f0d26b1cbd108872b6c0616180da8f5507855ddfc7b26bb10a606a64e59d307d39042b346700f77ee
 DIST future-0.16.0.tar.gz 824484 BLAKE2B b098366cc7a7866c4aa4a35f1a6a5cf113698307de8f4cce6c77e4ce72a8433dd102111f991e35ffa920c09a0d31cc048b9502dacd0aba1b701c11eaaeab8392 SHA512 41c795cd1746a76df84de2da9fbc611fc6164322c1c712ec9e8a8626c21c2717cb4899ec150d95c5e0c037270e6bb71e099edd169609369aae619daea9df2e5f
+DIST future-0.17.0.tar.gz 827812 BLAKE2B 14bfce4927386b157da91e6bbad547e21bb622f7e81997bc4ac400842cec5f7a50d7a0f5a743c4c76a7b80be0dcb6f54c06901311fd27781d89a8d2df1cce7e9 SHA512 f2396379e8e36753aeafdf27225c2551a31b10036f21201f1c24d63c1bb318dbd491ec977af514a19a4d477b397df9eed9711be797a64e86fc00c4692729d876

diff --git a/dev-python/future/future-0.17.0.ebuild b/dev-python/future/future-0.17.0.ebuild
new file mode 100644
index 00000000000..860a64b830c
--- /dev/null
+++ b/dev-python/future/future-0.17.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
+HOMEPAGE="http://python-future.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+	)
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+	sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs/ docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	pytest -vv || die "Tests failed under ${EPYTHON}"
+}


             reply	other threads:[~2019-02-11  0:41 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-11  0:41 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-27  6:34 [gentoo-commits] repo/gentoo:master commit in: dev-python/future/ Sam James
2023-05-27 11:14 Sam James
2023-05-27 10:47 Sam James
2023-03-16  3:50 Michał Górny
2022-08-18  6:18 Michał Górny
2022-08-17 19:31 Arthur Zamarin
2022-07-15 13:45 Arthur Zamarin
2022-06-19 18:08 Arthur Zamarin
2021-08-20  7:44 Arthur Zamarin
2021-08-20  7:44 Arthur Zamarin
2021-06-10  7:32 Michał Górny
2020-09-20 15:38 Michał Górny
2020-04-29  4:10 Mike Gilbert
2020-04-29  4:10 Mike Gilbert
2020-03-07 15:23 Michał Górny
2020-03-07 15:23 Michał Górny
2020-03-07 15:11 Michał Górny
2020-02-16 13:51 Sergei Trofimovich
2020-02-12 16:14 Agostino Sarubbo
2020-02-12  7:57 Agostino Sarubbo
2020-02-12  7:55 Agostino Sarubbo
2020-02-12  7:53 Agostino Sarubbo
2020-02-12  7:51 Agostino Sarubbo
2020-02-12  7:47 Agostino Sarubbo
2020-02-12  7:46 Agostino Sarubbo
2020-02-12  7:45 Agostino Sarubbo
2019-11-25 12:35 Michał Górny
2019-11-16 11:20 Michał Górny
2019-11-15 22:55 Michał Górny
2019-11-15 17:27 Michał Górny
2019-11-15 17:27 Michał Górny
2019-08-05  9:12 Patrice Clement
2019-05-01 18:06 Matt Turner
2019-04-28 20:40 Mikle Kolyada
2019-04-05  9:24 Mart Raudsepp
2019-03-16 18:40 Sergei Trofimovich
2019-03-16 14:46 Mikle Kolyada
2019-03-09 21:19 Matt Turner
2019-03-09 19:18 Thomas Deutschmann
2019-03-05  6:22 Matt Turner
2019-03-05  6:22 Matt Turner
2019-03-03  6:29 Mikle Kolyada
2019-03-02 21:30 Matt Turner
2019-03-02 20:02 Matt Turner
2019-02-15 17:05 Mikle Kolyada
2018-11-01  0:10 Sergei Trofimovich
2018-10-17 12:11 Tobias Klausmann
2018-08-30 17:50 Matt Thode
2018-08-21 17:07 Patrice Clement
2018-07-25  7:07 Matt Thode
2018-03-17 22:14 Matt Turner
2018-03-17 22:14 Matt Turner
2018-03-02 15:59 Tobias Klausmann
2018-01-06 19:55 Sergei Trofimovich
2017-12-02 20:55 Mike Gilbert
2017-11-30 19:02 Thomas Deutschmann
2017-11-26 20:51 Jeroen Roovers
2017-11-06 21:20 Sergei Trofimovich
2017-10-24 13:15 Jeroen Roovers
2017-09-10 14:03 Sergei Trofimovich
2017-08-13 16:29 Sergei Trofimovich
2017-07-23 11:45 Manuel Rüger
2017-06-23  6:00 Alexis Ballier
2017-04-04 23:06 Brian Dolbec
2016-11-14 14:02 Alexis Ballier
2016-11-01 23:55 Manuel Rüger
2016-09-28  8:47 Tobias Klausmann
2016-09-04 15:56 Mike Gilbert
2016-08-09 23:52 Brian Dolbec
2016-03-16 23:06 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1549845661.03c417b62659132ccf6bf5be8aef050308d12269.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox